apiVersion: admissionregistration.k8s.io/v1
kind: ValidatingWebhookConfiguration
metadata:
  creationTimestamp: "2025-10-27T12:45:28Z"
  generateName: vpooler.cnpg.io-
  generation: 1
  labels:
    olm.managed: "true"
    olm.owner: mcg-operator.v4.19.6-rhodf
    olm.owner.kind: ClusterServiceVersion
    olm.owner.namespace: openshift-storage
    olm.webhook-description-generate-name: vpooler.cnpg.io
    olm.webhook-description-hash: 3qPAyT6a34p8X3gua8sRG1A8NnRV9IQEFPZbjw
  name: vpooler.cnpg.io-p6q52
  resourceVersion: "59974"
  uid: 92aad668-1b8b-4b8a-a6ad-1c828325b924
webhooks:
- admissionReviewVersions:
  - v1
  clientConfig:
    service:
      name: cnpg-controller-manager-service
      namespace: openshift-storage
      path: /validate-postgresql-cnpg-noobaa-io-v1-pooler
      port: 443
  failurePolicy: Fail
  matchPolicy: Equivalent
  name: vpooler.cnpg.io
  namespaceSelector:
    matchLabels:
      olm.operatorgroup.uid/7fa389e9-ae64-432a-99cc-205b7ecd749c: ""
  objectSelector: {}
  rules:
  - apiGroups:
    - postgresql.cnpg.noobaa.io
    apiVersions:
    - v1
    operations:
    - CREATE
    - UPDATE
    resources:
    - poolers
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
